org.apache.poi.sl.draw.binding

## Enum STTextShapeType

- java.lang.Object
- - java.lang.Enum<STTextShapeType>
  - - org.apache.poi.sl.draw.binding.STTextShapeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STTextShapeType>

      public enum STTextShapeType
      extends java.lang.Enum<STTextShapeType>

  Java class for ST_TextShapeType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ST_TextShapeType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}token">
           <enumeration value="textNoShape"/>
           <enumeration value="textPlain"/>
           <enumeration value="textStop"/>
           <enumeration value="textTriangle"/>
           <enumeration value="textTriangleInverted"/>
           <enumeration value="textChevron"/>
           <enumeration value="textChevronInverted"/>
           <enumeration value="textRingInside"/>
           <enumeration value="textRingOutside"/>
           <enumeration value="textArchUp"/>
           <enumeration value="textArchDown"/>
           <enumeration value="textCircle"/>
           <enumeration value="textButton"/>
           <enumeration value="textArchUpPour"/>
           <enumeration value="textArchDownPour"/>
           <enumeration value="textCirclePour"/>
           <enumeration value="textButtonPour"/>
           <enumeration value="textCurveUp"/>
           <enumeration value="textCurveDown"/>
           <enumeration value="textCanUp"/>
           <enumeration value="textCanDown"/>
           <enumeration value="textWave1"/>
           <enumeration value="textWave2"/>
           <enumeration value="textDoubleWave1"/>
           <enumeration value="textWave4"/>
           <enumeration value="textInflate"/>
           <enumeration value="textDeflate"/>
           <enumeration value="textInflateBottom"/>
           <enumeration value="textDeflateBottom"/>
           <enumeration value="textInflateTop"/>
           <enumeration value="textDeflateTop"/>
           <enumeration value="textDeflateInflate"/>
           <enumeration value="textDeflateInflateDeflate"/>
           <enumeration value="textFadeRight"/>
           <enumeration value="textFadeLeft"/>
           <enumeration value="textFadeUp"/>
           <enumeration value="textFadeDown"/>
           <enumeration value="textSlantUp"/>
           <enumeration value="textSlantDown"/>
           <enumeration value="textCascadeUp"/>
           <enumeration value="textCascadeDown"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TEXT_ARCH_DOWN` Downward Arch Text Shape
    `TEXT_ARCH_DOWN_POUR` Downward Pour Arch Text Shape
    `TEXT_ARCH_UP` Upward Arch Text Shape
    `TEXT_ARCH_UP_POUR` Upward Pour Arch Text Shape
    `TEXT_BUTTON` Button Text Shape
    `TEXT_BUTTON_POUR` Button Pour Text Shape
    `TEXT_CAN_DOWN` Downward Can Text Shape
    `TEXT_CAN_UP` Upward Can Text Shape
    `TEXT_CASCADE_DOWN` Downward Cascade Text Shape
    `TEXT_CASCADE_UP` Upward Cascade Text Shape
    `TEXT_CHEVRON` Chevron Text Shape
    `TEXT_CHEVRON_INVERTED` Inverted Chevron Text Shape
    `TEXT_CIRCLE` Circle Text Shape
    `TEXT_CIRCLE_POUR` Circle Pour Text Shape
    `TEXT_CURVE_DOWN` Downward Curve Text Shape
    `TEXT_CURVE_UP` Upward Curve Text Shape
    `TEXT_DEFLATE` Deflate Text Shape
    `TEXT_DEFLATE_BOTTOM` Bottom Deflate Text Shape
    `TEXT_DEFLATE_INFLATE` Deflate-Inflate Text Shape
    `TEXT_DEFLATE_INFLATE_DEFLATE` Deflate-Inflate-Deflate Text Shape
    `TEXT_DEFLATE_TOP` Top Deflate Text Shape
    `TEXT_DOUBLE_WAVE_1` Double Wave 1 Text Shape
    `TEXT_FADE_DOWN` Downward Fade Text Shape
    `TEXT_FADE_LEFT` Left Fade Text Shape
    `TEXT_FADE_RIGHT` Right Fade Text Shape
    `TEXT_FADE_UP` Upward Fade Text Shape
    `TEXT_INFLATE` Inflate Text Shape
    `TEXT_INFLATE_BOTTOM` Bottom Inflate Text Shape
    `TEXT_INFLATE_TOP` Top Inflate Text Shape
    `TEXT_NO_SHAPE` No Text Shape
    `TEXT_PLAIN` Plain Text Shape
    `TEXT_RING_INSIDE` Inside Ring Text Shape
    `TEXT_RING_OUTSIDE` Outside Ring Text Shape
    `TEXT_SLANT_DOWN` Downward Slant Text Shape
    `TEXT_SLANT_UP` Upward Slant Text Shape
    `TEXT_STOP` Stop Sign Text Shape
    `TEXT_TRIANGLE` Triangle Text Shape
    `TEXT_TRIANGLE_INVERTED` Inverted Triangle Text Shape
    `TEXT_WAVE_1` Wave 1 Text Shape
    `TEXT_WAVE_2` Wave 2 Text Shape
    `TEXT_WAVE_4` Wave 4 Text Shape

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STTextShapeType` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static STTextShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STTextShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT_NO_SHAPE

          public static final STTextShapeType TEXT_NO_SHAPE

      No Text Shape

    - #### TEXT_PLAIN

          public static final STTextShapeType TEXT_PLAIN

      Plain Text Shape

    - #### TEXT_STOP

          public static final STTextShapeType TEXT_STOP

      Stop Sign Text Shape

    - #### TEXT_TRIANGLE

          public static final STTextShapeType TEXT_TRIANGLE

      Triangle Text Shape

    - #### TEXT_TRIANGLE_INVERTED

          public static final STTextShapeType TEXT_TRIANGLE_INVERTED

      Inverted Triangle Text Shape

    - #### TEXT_CHEVRON

          public static final STTextShapeType TEXT_CHEVRON

      Chevron Text Shape

    - #### TEXT_CHEVRON_INVERTED

          public static final STTextShapeType TEXT_CHEVRON_INVERTED

      Inverted Chevron Text Shape

    - #### TEXT_RING_INSIDE

          public static final STTextShapeType TEXT_RING_INSIDE

      Inside Ring Text Shape

    - #### TEXT_RING_OUTSIDE

          public static final STTextShapeType TEXT_RING_OUTSIDE

      Outside Ring Text Shape

    - #### TEXT_ARCH_UP

          public static final STTextShapeType TEXT_ARCH_UP

      Upward Arch Text Shape

    - #### TEXT_ARCH_DOWN

          public static final STTextShapeType TEXT_ARCH_DOWN

      Downward Arch Text Shape

    - #### TEXT_CIRCLE

          public static final STTextShapeType TEXT_CIRCLE

      Circle Text Shape

    - #### TEXT_BUTTON

          public static final STTextShapeType TEXT_BUTTON

      Button Text Shape

    - #### TEXT_ARCH_UP_POUR

          public static final STTextShapeType TEXT_ARCH_UP_POUR

      Upward Pour Arch Text Shape

    - #### TEXT_ARCH_DOWN_POUR

          public static final STTextShapeType TEXT_ARCH_DOWN_POUR

      Downward Pour Arch Text Shape

    - #### TEXT_CIRCLE_POUR

          public static final STTextShapeType TEXT_CIRCLE_POUR

      Circle Pour Text Shape

    - #### TEXT_BUTTON_POUR

          public static final STTextShapeType TEXT_BUTTON_POUR

      Button Pour Text Shape

    - #### TEXT_CURVE_UP

          public static final STTextShapeType TEXT_CURVE_UP

      Upward Curve Text Shape

    - #### TEXT_CURVE_DOWN

          public static final STTextShapeType TEXT_CURVE_DOWN

      Downward Curve Text Shape

    - #### TEXT_CAN_UP

          public static final STTextShapeType TEXT_CAN_UP

      Upward Can Text Shape

    - #### TEXT_CAN_DOWN

          public static final STTextShapeType TEXT_CAN_DOWN

      Downward Can Text Shape

    - #### TEXT_WAVE_1

          public static final STTextShapeType TEXT_WAVE_1

      Wave 1 Text Shape

    - #### TEXT_WAVE_2

          public static final STTextShapeType TEXT_WAVE_2

      Wave 2 Text Shape

    - #### TEXT_DOUBLE_WAVE_1

          public static final STTextShapeType TEXT_DOUBLE_WAVE_1

      Double Wave 1 Text Shape

    - #### TEXT_WAVE_4

          public static final STTextShapeType TEXT_WAVE_4

      Wave 4 Text Shape

    - #### TEXT_INFLATE

          public static final STTextShapeType TEXT_INFLATE

      Inflate Text Shape

    - #### TEXT_DEFLATE

          public static final STTextShapeType TEXT_DEFLATE

      Deflate Text Shape

    - #### TEXT_INFLATE_BOTTOM

          public static final STTextShapeType TEXT_INFLATE_BOTTOM

      Bottom Inflate Text Shape

    - #### TEXT_DEFLATE_BOTTOM

          public static final STTextShapeType TEXT_DEFLATE_BOTTOM

      Bottom Deflate Text Shape

    - #### TEXT_INFLATE_TOP

          public static final STTextShapeType TEXT_INFLATE_TOP

      Top Inflate Text Shape

    - #### TEXT_DEFLATE_TOP

          public static final STTextShapeType TEXT_DEFLATE_TOP

      Top Deflate Text Shape

    - #### TEXT_DEFLATE_INFLATE

          public static final STTextShapeType TEXT_DEFLATE_INFLATE

      Deflate-Inflate Text Shape

    - #### TEXT_DEFLATE_INFLATE_DEFLATE

          public static final STTextShapeType TEXT_DEFLATE_INFLATE_DEFLATE

      Deflate-Inflate-Deflate Text Shape

    - #### TEXT_FADE_RIGHT

          public static final STTextShapeType TEXT_FADE_RIGHT

      Right Fade Text Shape

    - #### TEXT_FADE_LEFT

          public static final STTextShapeType TEXT_FADE_LEFT

      Left Fade Text Shape

    - #### TEXT_FADE_UP

          public static final STTextShapeType TEXT_FADE_UP

      Upward Fade Text Shape

    - #### TEXT_FADE_DOWN

          public static final STTextShapeType TEXT_FADE_DOWN

      Downward Fade Text Shape

    - #### TEXT_SLANT_UP

          public static final STTextShapeType TEXT_SLANT_UP

      Upward Slant Text Shape

    - #### TEXT_SLANT_DOWN

          public static final STTextShapeType TEXT_SLANT_DOWN

      Downward Slant Text Shape

    - #### TEXT_CASCADE_UP

          public static final STTextShapeType TEXT_CASCADE_UP

      Upward Cascade Text Shape

    - #### TEXT_CASCADE_DOWN

          public static final STTextShapeType TEXT_CASCADE_DOWN

      Downward Cascade Text Shape

  - ### Method Detail

    - #### values

          public static STTextShapeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STTextShapeType c : STTextShapeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STTextShapeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static STTextShapeType fromValue(java.lang.String v)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.